--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: included
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_ENGINE
  value: "'InnoDB'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_CHARACTER_SET
  value: "'utf8'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_COLLATION
  value: "'utf8_unicode_ci'.freeze"
full_name: DataMapper::Migrations::MysqlAdapter
includes: 
- !ruby/object:RI::IncludedModule 
  name: SQL
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: field_exists?
- !ruby/object:RI::MethodSummary 
  name: storage_exists?
name: MysqlAdapter
superclass: 
